Support » Multisite » Automatic Upgrade Failure

Automatic Upgrade Failure

  • Hello,

    I get this warning when I try to use the auto-upgrade to 3.0.3. Any suggestions?

    My server is GoDaddy if that is of any use. Since I moved the WP files to a new folder their upgrade system cannot be used:

    Warning: touch() [function.touch]: Unable to create file D:\xxxxxxx\html/wp-content/wordpress-3.tmp because Permission denied in D:\xxxxxxx\html\wp-admin\includes\file.php on line 199

    Download failed.: Could not create Temporary file.

    Installation Failed

Viewing 9 replies - 1 through 9 (of 9 total)
  • Permissions and ownership on the folders themselves.

    I have checked the settings on the server and it has the appropriate permissions. Trying to avoid a manual update as I have found that since I set up a couple of security plug-ins all plug-in updates also hang. I disabled these plug-ins and I still have a problem. Would the index pages created by one of these be a possible problem? Or does anyone else have the same problem with applying security plug-ins?

    You’re GoDaddy on Windows Servers? You may want to just do it manually.

    I have the same problem here:
    I tried to install the new version of WP but I can’t:

    Warning: touch() [function.touch]: Unable to create file /home/server/public_html/wp-content/upgrade/wordpress-latest.tmp because Permission denied in /home/server/public_html/wp-admin/includes/file.php on line 199

    can anybody help me?

    Do it manually. Your server doesn’t have the capability to run the update automatically, either because of permissions or something else.

    what do you mean “do it manually?” I tried manual as well, and then, when I entered to wp control panel it said like I didn’t install the new version. and it’s not because of the permission, I changed and is the same

    I mean download a copy to your computer, unzip it, and copy the files up. Make sure you download the latest version from http://wordpress.org/download/

    As for GoDaddy, I found an obscure settings page that has an enable/disable external applications check box. Tried to find it now for you but cannot where it is in GoDaddy’s (easy to use?) menus. All in all, this was the culprit. If you check enable (allow) it will let WP update automatically. Happy GoDaddy menu hunting…

    *facepalm* Really? “More ways to make life harder.” must be their new motto.

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Automatic Upgrade Failure’ is closed to new replies.